#!/bin/bash

make

Tc=$( echo "2./l(1.+sqrt(2.))" | bc -l)
## echo $Tc
halfTc=$( echo "0.5/l(1.+sqrt(2.))" | bc -l)
## echo $halfTc
twiceTc=$( echo "4.0/l(1.+sqrt(2.))" | bc -l)
## echo $twiceTc

rm mag.dat 2> /dev/null
rm en.dat 2> /dev/null
for L in 20 40 80 160
do
   echo L = $L
   T=halfTc
   i=0
   while (( i < 175 ))
   do
      T=$(echo ${halfTc}"+("${twiceTc}"-"${halfTc}")*"${i}"/200" | bc -l)
      rm mag.bins.dat 2> /dev/null
      rm en.bins.dat 2> /dev/null
      if (( $i < 67 ))
      then 
         ./MonteCarlo cluster ferro $L $T
      else
         ./MonteCarlo cluster rand $L $T
      fi
      echo $L $T $(awk '{ x += $1; y += $2; z += $3; ++n } END { print x/n, y/n, z/n; }' mag.bins.dat) >> mag.dat
      echo $L $T $(awk '{ x += $1; y += $2; z += $3; ++n } END { print x/n, y/n, z/n; }' en.bins.dat) >> en.dat
      let i=i+1
   done
   echo >> mag.dat
   echo >> mag.dat
   echo >> en.dat
   echo >> en.dat
done
exit
