set ylabel "magnetization"
set xlabel "temperature"
set samples 500
w(x) = exp(-4/x)
M(x) = ((1+w(x))/(1-w(x))**2*sqrt(1-6*w(x)+w(x)**2))**0.25*( x < 2.0/log(1.0+sqrt(2.0)) ? 1 : 0)
plot "mag.dat" using 2:($3/$1**2) with lines, M(x)
pause -1

set ylabel "energy"
set xlabel "temperature"
plot "en.dat" using 2:($3/$1**2) with lines 
pause -1

set ylabel "specific heat"
set xlabel "temperature"
plot "en.dat" using 2:(($5-$4**2)/$2/$1**6) with lines 
